Subject: Re: [Cellar] Matroska metadata for digitization and process history

From: Bertram Lyons <[email-masked]>
Date: Thu, 8 Sep 2016 11:57:41 -0500

Hi all, one question inline below.

> ---------- Forwarded message ----------
> From: Dave Rice <[email-masked]>
> To: Brecht Declercq <[email-masked]>
> Cc: [email-masked], Kieran O Leary <[email-masked]>
> Date: Thu, 8 Sep 2016 12:32:14 -0400
> Subject: Re: [Cellar] Matroska metadata for digitization and process
> history
> Hi Brecht and Kieran,
> Replying to both posts inline.
>
> 2016-09-08 2:53 GMT+02:00 Kieran O Leary <[email-masked]>:
>
>>
>> For long term preservation, I can't help but think that the PREMIS xml
>> would function just as well in a sidecar in an AIP, with the added benefit
>> of not altering the checksum of the Matroska file.
>>
>> > I tried working on this subject a few years ago and created this sample
>> > which attaches a photo of the source tape and adds process metadata.
>> Here's
>> > an output of that metadata from FFmpeg.
>> >
>> > Metadata:
>> > CREATION_TIME : 2011-05-03 02:12:03
>> > COMPATIBLE_BRANDS: qt
>> > ORIGINAL_MEDIA_TYPE: {Physical format of the source tape. Vocabulary?}
>> > ORIGINAL_MEDIA_TYPE/BARCODE: {Barcode or other identifier from the
>> > tape.}
>> > ORIGINAL_MEDIA_TYPE/BARCODE/source: {name of barcode authority or
>> > creator; example "XYZ Archive Barcode"}
>> > ORIGINAL_MEDIA_TYPE/LABEL: {The record label or imprint on the source
>> > media object.}
>> > ORIGINAL_MEDIA_TYPE/DATE_RECORDED: {The time that the recording began.
>> > This is akin to the TDRC tag in ID3.}
>> > ORIGINAL_MEDIA_TYPE/condition: {Comments on the condition of the source,
>> > any preparation for playback of the source tape (if relevant).}
>> > ORIGINAL_MEDIA_TYPE/initial_source_timecode: 01:02:15;10
>> > ORIGINAL_MEDIA_TYPE/initial_source_timecode/settings: DropFrame=Yes /
>> > 24HourMax=No / IsVisual=No
>> > DATE_DIGITIZED : {Date and time of the file creation process. Enter in
>> > ISO 8601 format.}
>> > ENCODED_BY : {Name of the technician or organization responsible
>> > for the encoding and file creation process}
>> > ENCODED_BY/URL : {URL for the technician or organization listed in
>> > ENCODED_BY.}
>> > ENCODED_BY/processing_actions: {Description of any actions performed
>> > during processing, such as trimming silence.}
>> > ENCODED_BY/capture_software: Blackmagic Media Express
>> > ENCODED_BY/capture_software/version: 2.0.3
>> > ENCODED_BY/capture_operating_system: Ubuntu
>> > ENCODED_BY/capture_operating_system/version: 10.10
>> > ENCODED_BY/capture_device: Decklink Studio SDI
>> > ENCODED_BY/capture_device/manufacturer: Blackmagic-Design
>> > ENCODED_BY/capture_device/serial_no: xyz6789
>> > ENCODED_BY/capture_device/settings: {notes on adjustments or settings}
>> > ENCODED_BY/playback_device: SVO-5800
>> > ENCODED_BY/playback_device/manufacturer: Sony
>> > ENCODED_BY/playback_device/serial_no: abc1234
>> > ENCODED_BY/playback_device/settings: {notes on adjustments or settings}
>> > ENCODED_BY/playback_device/playback_signal_path: {Protocols used to
>> > transfer audiovisual data between the playback deck and the capture
>> device.
>> > example: Component}
>> > MAJOR_BRAND : qt
>> > MINOR_VERSION : 537199360
>> > ENCODER : Lavf53.2.0
>> >
>> > Official tags are in ALL CAPS and my own local tags are in lowercase.
>>
>> I think that looks great! Were you local tags based on a controlled
>> vocabulary?
>>
> I don't think so, I was just making things up.
>

I apologize if this has already been covered, but has there been discussion
of including reVTMD as a starting point for thinking about process metadata
elements that may be of interest?

https://www.archives.gov/preservation/products/reVTMD.xsd

Additionally, the UTVideoSrc Schema (hosted by Harvard) focuses on the
source of video digitization processes:

http://hul.harvard.edu/ois/xml/xsd/drs/UTVIDEOSrc-2-0.xsd

Perhaps these are useful to add to the conversation about source and
process metadata in Matroska if not already in the mix.

Best regards --

Bert

---

From: Tobias Rapp <[email-masked]>
Date: Fri, 9 Sep 2016 10:02:48 +0200

On 08.09.2016 18:57, Bertram Lyons wrote:
> [...]
> I apologize if this has already been covered, but has there been
> discussion of including reVTMD as a starting point for thinking about
> process metadata elements that may be of interest?
>

Now that you mention it I remember that Kate Murray talked about reVTMD 
on day 2 of the No Time to Wait session in Berlin. I had problems to 
transfer the heard acronym into letters so thanks for the link :-).

The structure of reVTMD seems to be simpler than PREMIS and it contains 
a lot of useful fields. Do you have some example file for illustration 
how multiple coding/process history entries are put together? From a 
first look it seems that there is only one place for date and 
operator/engineer info, it that correct?

> process metadata in Matroska if not already in the mix.

Best regards,
Tobias

---

From: Kieran O Leary <[email-masked]>
Date: Fri, 9 Sep 2016 09:30:18 +0100

Hi Tobias,

On Fri, Sep 9, 2016 at 9:02 AM, Tobias Rapp <[email-masked]> wrote:
> Now that you mention it I remember that Kate Murray talked about reVTMD on
> day 2 of the No Time to Wait session in Berlin. I had problems to transfer
> the heard acronym into letters so thanks for the link :-).
>
> The structure of reVTMD seems to be simpler than PREMIS and it contains a
> lot of useful fields. Do you have some example file for illustration how
> multiple coding/process history entries are put together? From a first look
> it seems that there is only one place for date and operator/engineer info,
> it that correct?
>

This is from an old AMIA hack day which features both standards
mentioned in the previous mails.
https://github.com/amiaopensource/amazingmets/blob/master/digitized_video_mets2.xml

I believe that reVTMD is in the process of being actively updated as well.

I think that you're correct in saying that there is only one place for
date/operator info, so if multiple operators did different things in
the coding process history, you can't link them to a specific task, or
give more detail about what they specifically did.

Best,

Kieran.